---
title: Previews the Batch against the given Batch-Id
slug: api-documentation/2z9Z-previews-the-batch-against-the-given-batch-id
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "4DG7miWcaaXViS9koWESL",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/batch/{id}/preview",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/{id}/preview"
      }
    ],
    "name": "Previews the Batch against the given Batch-Id",
    "description": "Find and return Batch preview to admins",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "page",
          "type": "integer<int32>",
          "description": "Offset",
          "format": "int32",
          "minimum": 0
        },
        {
          "kind": "required",
          "name": "pageSize",
          "type": "integer<int32>",
          "description": "Size",
          "format": "int32",
          "minimum": 0
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Batch previewed with given Id.",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "Allow",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Cache-Control",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Content-Type",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "ETag",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Location",
            "description": ""
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "BatchPreview.json",
            "schema": [],
            "modelRef": "RestAPI/Preview/BatchPreview.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "r-Q97fN2D9ZQJnfMHEkx-",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/pim/batch/{id}/preview?page=integer%3Cint32%3E&pageSize=integer%3Cint32%3E' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "cMesNGUpSfXrOfRwsTSE2",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/{id}/preview?page=integer<int32>&pageSize=integer<int32>\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "HIGnFRFVpvujods_-w2j6",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/{id}/preview?page=integer<int32>&pageSize=integer<int32>\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "jxAVJRAfgVTfXnQGDJi0T",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/batch/{id}/preview?page=integer<int32>&pageSize=integer<int32>\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "r-Q97fN2D9ZQJnfMHEkx-"
    },
    "results": {
      "languages": [
        {
          "id": "qFZ_dsKvm-DVEDvbR8fHc",
          "language": "200",
          "code": "// Batch previewed with given Id.\n{}"
        }
      ],
      "selectedLanguageId": "qFZ_dsKvm-DVEDvbR8fHc"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}